aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2011-06-03 15:08:49 -0700
committerBrian Behlendorf <[email protected]>2011-06-03 15:08:49 -0700
commitcbc6fab65c201e44de9bda083cfaab209c6b4f7a (patch)
tree70616bbe60d62bdbc5924b61143d21dda9033783
parent608860b6d06aaaa647e03fc3f3fc1b49f025155e (diff)
Sanatize zpios-sanity.sh environment
Just like zconfig.sh the zpios-sanity.sh tests should run in a sanatized environment. This ensures they never conflict with an installed /etc/zfs/zpool.cache file. This commit additionally improves the -c cleanup option. It now removes the modules stack if loaded and destroys relevant md devices. This behavior is now identical to zconfig.sh.
-rwxr-xr-xscripts/zpios-sanity.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/zpios-sanity.sh b/scripts/zpios-sanity.sh
index c8e9bb583..fcd91b6e6 100755
--- a/scripts/zpios-sanity.sh
+++ b/scripts/zpios-sanity.sh
@@ -64,6 +64,8 @@ fi
# Perform pre-cleanup is requested
if [ ${CLEANUP} ]; then
+ ${ZFS_SH} -u
+ cleanup_md_devices
cleanup_loop_devices
rm -f /tmp/zpool.cache.*
fi
@@ -148,6 +150,9 @@ DANGEROUS_CONFIGS=( \
dm0-raid0 \
)
+TMP_CACHE=`mktemp -p /tmp zpool.cache.XXXXXXXX`
+${ZFS_SH} zfs="spa_config_path=${TMP_CACHE}" || die "Unable to load modules"
+
for CONFIG in ${SAFE_CONFIGS[*]}; do
zpios_test $CONFIG tiny
done
@@ -158,4 +163,6 @@ if [ ${DANGEROUS} ]; then
done
fi
+${ZFS_SH} -u
+
exit $FAILS